Announcement

Collapse
No announcement yet.

red hat 4 es Pear impossible d'nstaller pear?

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • red hat 4 es Pear impossible d'nstaller pear?

    Bonjour mon probléme arrive au niveau de pear car je n'arrive pas du tout a l'installer sur ma distribe voila ou je bloque:

    donc j'installe ces packetage et j'ai ce message:
    #up2date -i perl-libwww-perl perl-DateManip perl-Parse-Yapp perl-Crypt-SSLeay

    Fetching Obsoletes list for channel: rhel-i386-es-4...

    Fetching rpm headers...

    Name Version Rel
    ----------------------------------------------------------


    The following packages you requested are already updated:
    perl-libwww-perl
    perl-DateManip
    perl-Parse-Yapp
    perl-Crypt-SSLeay
    ensuite je passe a la suite :
    Code:
    [[email protected] oreon-1.4]# apt-get install  perl-Unicode-String  perl-XML-XQL  perl-XML-DOM  perl-Locale-gettext
    Reading Package Lists... 0%
    Reading Package Lists... Done
    Building Dependency Tree... Done
    The following NEW packages will be installed:
      perl-Locale-gettext perl-Unicode-String perl-XML-DOM perl-XML-XQL
    0 upgraded, 4 newly installed, 0 removed and 6 not upgraded.
    Need to get 0B/448kB of archives.
    After unpacking 1276kB of additional disk space will be used.
    Committing changes...
    Preparing...                ########################################### [100%]
            file /usr/lib/perl5/vendor_perl/5.8.5/XML/XQL.pm from install of perl-XML-XQL-0.68-1.2.el4.rf conflicts with file from package perl-libxml-enno-1.02-31
            file /usr/lib/perl5/vendor_perl/5.8.5/XML/XQL/Date.pm from install of perl-XML-XQL-0.68-1.2.el4.rf conflicts with file from package perl-libxml-enno-1.02-31
            file /usr/lib/perl5/vendor_perl/5.8.5/XML/XQL/Parser.pm from install of perl-XML-XQL-0.68-1.2.el4.rf conflicts with file from package perl-libxml-enno-1.02-31
            file /usr/lib/perl5/vendor_perl/5.8.5/XML/XQL/Query.pod from install of perl-XML-XQL-0.68-1.2.el4.rf conflicts with file from package perl-libxml-enno-1.02-31
            file /usr/share/man/man3/XML::XQL.3pm.gz from install of perl-XML-XQL-0.68-1.2.el4.rf conflicts with file from package perl-libxml-enno-1.02-31
            file /usr/share/man/man3/XML::XQL::DOM.3pm.gz from install of perl-XML-XQL-0.68-1.2.el4.rf conflicts with file from package perl-libxml-enno-1.02-31
            file /usr/share/man/man3/XML::XQL::Date.3pm.gz from install of perl-XML-XQL-0.68-1.2.el4.rf conflicts with file from package perl-libxml-enno-1.02-31
            file /usr/share/man/man3/XML::XQL::Query.3pm.gz from install of perl-XML-XQL-0.68-1.2.el4.rf conflicts with file from package perl-libxml-enno-1.02-31
            file /usr/share/man/man3/XML::XQL::Tutorial.3pm.gz from install of perl-XML-XQL-0.68-1.2.el4.rf conflicts with file from package perl-libxml-enno-1.02-31
            file /usr/lib/perl5/vendor_perl/5.8.5/XML/DOM.pm from install of perl-XML-DOM-1.44-1.el4.rf conflicts with file from package perl-libxml-enno-1.02-31
            file /usr/lib/perl5/vendor_perl/5.8.5/XML/DOM/DocumentType.pod from install of perl-XML-DOM-1.44-1.el4.rf conflicts with file from package perl-libxml-enno-1.02-31
            file /usr/lib/perl5/vendor_perl/5.8.5/XML/DOM/Parser.pod from install of perl-XML-DOM-1.44-1.el4.rf conflicts with file from package perl-libxml-enno-1.02-31
            file /usr/lib/perl5/vendor_perl/5.8.5/XML/DOM/PerlSAX.pm from install of perl-XML-DOM-1.44-1.el4.rf conflicts with file from package perl-libxml-enno-1.02-31
            file /usr/share/man/man3/XML::DOM.3pm.gz from install of perl-XML-DOM-1.44-1.el4.rf conflicts with file from package perl-libxml-enno-1.02-31
            file /usr/share/man/man3/XML::DOM::AttDef.3pm.gz from install of perl-XML-DOM-1.44-1.el4.rf conflicts with file from package perl-libxml-enno-1.02-31
            file /usr/share/man/man3/XML::DOM::AttlistDecl.3pm.gz from install of perl-XML-DOM-1.44-1.el4.rf conflicts with file from package perl-libxml-enno-1.02-31
            file /usr/share/man/man3/XML::DOM::Attr.3pm.gz from install of perl-XML-DOM-1.44-1.el4.rf conflicts with file from package perl-libxml-enno-1.02-31
            file /usr/share/man/man3/XML::DOM::CDATASection.3pm.gz from install of perl-XML-DOM-1.44-1.el4.rf conflicts with file from package perl-libxml-enno-1.02-31
            file /usr/share/man/man3/XML::DOM::CharacterData.3pm.gz from install of perl-XML-DOM-1.44-1.el4.rf conflicts with file from package perl-libxml-enno-1.02-31
            file /usr/share/man/man3/XML::DOM::Comment.3pm.gz from install of perl-XML-DOM-1.44-1.el4.rf conflicts with file from package perl-libxml-enno-1.02-31
            file /usr/share/man/man3/XML::DOM::DOMImplementation.3pm.gz from install of perl-XML-DOM-1.44-1.el4.rf conflicts with file from package perl-libxml-enno-1.02-31
            file /usr/share/man/man3/XML::DOM::Document.3pm.gz from install of perl-XML-DOM-1.44-1.el4.rf conflicts with file from package perl-libxml-enno-1.02-31
            file /usr/share/man/man3/XML::DOM::DocumentFragment.3pm.gz from install of perl-XML-DOM-1.44-1.el4.rf conflicts with file from package perl-libxml-enno-1.02-31
            file /usr/share/man/man3/XML::DOM::DocumentType.3pm.gz from install of perl-XML-DOM-1.44-1.el4.rf conflicts with file from package perl-libxml-enno-1.02-31
            file /usr/share/man/man3/XML::DOM::Element.3pm.gz from install of perl-XML-DOM-1.44-1.el4.rf conflicts with file from package perl-libxml-enno-1.02-31
            file /usr/share/man/man3/XML::DOM::ElementDecl.3pm.gz from install of perl-XML-DOM-1.44-1.el4.rf conflicts with file from package perl-libxml-enno-1.02-31
            file /usr/share/man/man3/XML::DOM::Entity.3pm.gz from install of perl-XML-DOM-1.44-1.el4.rf conflicts with file from package perl-libxml-enno-1.02-31
            file /usr/share/man/man3/XML::DOM::EntityReference.3pm.gz from install of perl-XML-DOM-1.44-1.el4.rf conflicts with file from package perl-libxml-enno-1.02-31
            file /usr/share/man/man3/XML::DOM::NamedNodeMap.3pm.gz from install of perl-XML-DOM-1.44-1.el4.rf conflicts with file from package perl-libxml-enno-1.02-31
            file /usr/share/man/man3/XML::DOM::Node.3pm.gz from install of perl-XML-DOM-1.44-1.el4.rf conflicts with file from package perl-libxml-enno-1.02-31
            file /usr/share/man/man3/XML::DOM::NodeList.3pm.gz from install of perl-XML-DOM-1.44-1.el4.rf conflicts with file from package perl-libxml-enno-1.02-31
            file /usr/share/man/man3/XML::DOM::Notation.3pm.gz from install of perl-XML-DOM-1.44-1.el4.rf conflicts with file from package perl-libxml-enno-1.02-31
            file /usr/share/man/man3/XML::DOM::Parser.3pm.gz from install of perl-XML-DOM-1.44-1.el4.rf conflicts with file from package perl-libxml-enno-1.02-31
            file /usr/share/man/man3/XML::DOM::PerlSAX.3pm.gz from install of perl-XML-DOM-1.44-1.el4.rf conflicts with file from package perl-libxml-enno-1.02-31
            file /usr/share/man/man3/XML::DOM::ProcessingInstruction.3pm.gz from install of perl-XML-DOM-1.44-1.el4.rf conflicts with file from package perl-libxml-enno-1.02-31
            file /usr/share/man/man3/XML::DOM::Text.3pm.gz from install of perl-XML-DOM-1.44-1.el4.rf conflicts with file from package perl-libxml-enno-1.02-31
            file /usr/share/man/man3/XML::DOM::XMLDecl.3pm.gz from install of perl-XML-DOM-1.44-1.el4.rf conflicts with file from package perl-libxml-enno-1.02-31
            file /usr/share/man/man3/XML::Handler::BuildDOM.3pm.gz from install of perl-XML-DOM-1.44-1.el4.rf conflicts with file from package perl-libxml-enno-1.02-31
    W: There are multiple versions of "up2date" in your system.
    
    This package won't be cleanly updated, unless you leave
    only one version. To leave multiple versions installed,
    you may remove that warning by setting the following
    option in your configuration file:
    
    RPM::Allow-Duplicated { "^up2date$"; };
    
    To disable these warnings completely set:
    
    RPM::Allow-Duplicated-Warning "false";
    
    W: You may want to run apt-get update to correct these problems
    E: Error while running transaction
    [[email protected] oreon-1.4]#   perl-XML-Parser
    bash: perl-XML-Parser: command not found
    je suis perdu la quelqu'un peut m'aider please?
    RedHat4es
    Nagios 2.9
    Oreon 1.4

  • #2
    Fait un
    Code:
    apt-get update
    pour voir
    Oreon 1.4
    Nagios 2.9
    RRDTool 1.2.18

    Comment


    • #3
      j'ai fais plusieur fois déja mais sa change rien:
      #apt-get update
      Get:1 http://apt.sw.be redhat/el4/en/i386/dag repomd.xml [1128B]
      Fetched 1128B in 0s (3533B/s)
      Hit http://apt.sw.be redhat/el4/en/i386/dag/ primary.xml
      Hit http://apt.sw.be redhat/el4/en/i386/dag/ filelists.xml
      Reading Package Lists... Done
      Building Dependency Tree... Done
      W: There are multiple versions of "up2date" in your system.

      This package won't be cleanly updated, unless you leave
      only one version. To leave multiple versions installed,
      you may remove that warning by setting the following
      option in your configuration file:

      RPM::Allow-Duplicated { "^up2date$"; };

      To disable these warnings completely set:

      RPM::Allow-Duplicated-Warning "false";

      W: You may want to run apt-get update to correct these problems
      RedHat4es
      Nagios 2.9
      Oreon 1.4

      Comment


      • #4
        Tu trouves le rpm pear ou php-pear qui va bien pour ta distrib puis un simple rpm -ivh php-pear.rpm

        PS: pourquoi utilser apt alors qu'il y a yum ? tu veux mettres le bins dans ta base rpm !?
        Intel(R) Xeon(TM) CPU 3.4GHz - MemTotal : 1034476 kB
        Centreon 2.4.1 - Nagios 3.2.1 - Nagios Plugins 1.4.15 - Manubulon Plugins tuné
        Fedora Core 5 - 2.6.20-1.2320

        Comment


        • #5
          si t'a un tuto je veux bien mais je vais quand meme trouvé le rpm pour l'installé
          voir ce que sa fias

          alors je viens de tester et c'estpas possible je comprend vraiment pas
          j'essai d'installer le packet il me dit déja installé
          et si je veux le désinstaller il me dit qu'il est pas installer????

          [[email protected] Desktop]# rpm -ivh php-pear-4.3.9-3.22.4.i386.rpm
          Préparation... ########################################### [100%]
          paquetage php-pear-4.3.9-3.22.4 déjà installé
          [[email protected] Desktop]# rpm -e php-pear-4.3.9-3.22.4.i386.rpm
          erreur: le paquetage php-pear-4.3.9-3.22.4.i386.rpm n'est pas installé
          Last edited by mika2006; 1 May 2007, 17:50.
          RedHat4es
          Nagios 2.9
          Oreon 1.4

          Comment


          • #6
            si t'as une redhat t'as un support ? nan ? ils sauront normalement chez redhat te faire ca
            Julien Mathis
            Centreon Project Leader
            www.merethis.com |

            Comment


            • #7
              lol
              je testerais mon support demain
              same daille
              je voullais commencé a découvrire ce fameux couple oreon nagios
              RedHat4es
              Nagios 2.9
              Oreon 1.4

              Comment


              • #8
                Ta base rpm est peut-être endommagé.

                Essai plutot "rpm -e php-pear"

                Si il ne se désinstalle pas et qu'ensuite impossible de l'installer à nouveau fait comme ça :

                rpm -ivh --force xxxxxx.rpm
                Intel(R) Xeon(TM) CPU 3.4GHz - MemTotal : 1034476 kB
                Centreon 2.4.1 - Nagios 3.2.1 - Nagios Plugins 1.4.15 - Manubulon Plugins tuné
                Fedora Core 5 - 2.6.20-1.2320

                Comment


                • #9
                  sa a marcher a moitiér

                  je continue et je vous tiens au courant
                  Last edited by mika2006; 1 May 2007, 20:23.
                  RedHat4es
                  Nagios 2.9
                  Oreon 1.4

                  Comment


                  • #10
                    pfffff
                    je suis arrivé a l'étape 10 et il arrive pas écrire certain fichier!
                    je sais plus quoi faire j'arrette pour ce soir
                    le sereur red hat et down!!!
                    j hallucine
                    enfin a demain
                    et meci pour vos réponse
                    RedHat4es
                    Nagios 2.9
                    Oreon 1.4

                    Comment

                    Working...
                    X